package org.telegram.api;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import org.json.JSONObject;
import sun.print.UnixPrintJob;

/**
 * @author Ruben Bermudez
 * @version 1.0
 * @brief TODO
 * @date 20 of June of 2015
 */
public class Update {
    /*
    update_id	Integer
message	Message
     */
    public static final String UPDATEID_FIELD = "update_id";
    /**
     * The update‘s unique identifier.
     * Update identifiers start from a certain positive number and increase sequentially.
     * This ID becomes especially handy if you’re using Webhooks,
     * since it allows you to ignore repeated updates or to restore the
     * correct update sequence, should they get out of order.
     */
    @JsonProperty(UPDATEID_FIELD)
    private Integer updateId;
    public static final String MESSAGE_FIELD = "message";
    @JsonProperty(MESSAGE_FIELD)
    private Message message; ///< Optional. New incoming message of any kind — text, photo, sticker, etc.

    public Update() {
        super();
    }

    public Update(JSONObject jsonObject) {
        super();
        this.updateId = jsonObject.getInt(UPDATEID_FIELD);
        JSONObject messageJSON = jsonObject.optJSONObject(MESSAGE_FIELD);
        if (messageJSON == null) {
            this.message = null;
        } else {
            this.message = new Message(messageJSON);
        }
    }

    public Integer getUpdateId() {
        return updateId;
    }

    public Message getMessage() {
        return message;
    }
}
